%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw-gdb
Version:        7.2
Release:        2%{?dist}
Summary:        MinGW Windows port of the GDB debugger

# Same License tag as the native gdb package has:
License:        GPLv3+ and GPLv3+ with exceptions and GPLv2+ and GPLv2+ with exceptions and GPL+ and LGPLv2+ and BSD and Public Domain
Group:          Development/Libraries
URL:            http://gnu.org/software/gdb/
Source0:        ftp://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-expat
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-iconv
BuildRequires:  mingw32-zlib

%description
This is the MinGW Windows port of the GDB, the GNU debugger.


%package -n mingw32-gdb
Summary:        MinGW Windows port of the GDB debugger
# Provide upgrade path for the gdb packages distributed at
# http://mingw-cross.sourceforge.net
Obsoletes:      mingw32-gdb-gdbserver < 6.8.50.20090302-2

%description -n mingw32-gdb
This is the MinGW Windows port of the GDB, the GNU debugger.


%{?_mingw32_debug_package}


%prep
%setup -q -n gdb-%{version}


%build
%{_mingw32_configure}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove bfd and opcodes libraries
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/locale/
rm -rf $RPM_BUILD_ROOT%{_mingw32_includedir}/
rm -rf $RPM_BUILD_ROOT%{_mingw32_libdir}/

# Remove documentation which is duplicate with native gdb package
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/info/
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}/


%files -n mingw32-gdb
%doc COPYING3 COPYING COPYING.LIB
%{_mingw32_bindir}/gdb.exe
%{_mingw32_bindir}/gdbserver.exe
%{_mingw32_datadir}/gdb/


%changelog
* Fri Jun 03 2011 Kalev Lember <kalev@smartlink.ee> - 7.2-2
- Renamed the source package to mingw-gdb (#702846)

* Mon Apr 25 2011 Kalev Lember <kalev@smartlink.ee> - 7.2-1
- Update to 7.2
- Removed documentation which is duplicate with the native gcc
- Don't install the bfd and opcodes libraries
- Provide upgrade path from the mingw32-gdb packages from mingw-cross.sf.net
- Include license files in the rpm

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 6.8-4
- Rebuild for mingw32-gcc 4.4

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 6.8-3
- Rename mingw -> mingw32.

* Fri Sep 12 2008 Richard W.M. Jones <rjones@redhat.com> - 6.8-2
- Initial RPM release.
